// child_fork.c: demonstrate the basics of fork/exec to launch a
 #include <stdio.h>
 #include <stdlib.h>
 #include <sys/wait.h>
 #include <unistd.h>

 int main(int argc, char* argv){


  char *child_argv[] = {"ls","-l","-ah",NULL};
  char *child_cmd = "ls";

  printf("I'm %d, and I really don't feel like '%s'ing\n", getpid(),child_cmd);
  printf("I have a solution\n");

  pid_t child_pid = fork(); 

  if(child_pid == 0)
  {
 
	 printf(" I'm %d My pa '%d' wants me to '%s'.\n", getpid(), getppid(), child_cmd);
	 execvp(child_cmd, child_argv); 
 	 printf(" I don't feel like myself anymore...\n");
   }
   else
   {
 
	 printf("Great, child %d is taking care of that\n",child_pid);
   }
     return 0;
 }

